Package org.apache.sling.maven.bundlesupport

# Class GenerateAdapterMetadataMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.maven.bundlesupport.GenerateAdapterMetadataMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="generate-adapter-metadata", defaultPhase=PROCESS_CLASSES, threadSafe=true, requiresDependencyResolution=COMPILE) public class GenerateAdapterMetadataMojo extends org.apache.maven.plugin.AbstractMojo
Build adapter metadata (JSON) for the Web Console Plugin at `/system/console/status-adapters` and `/system/console/adapters` from classes annotated with adapter annotations.

## Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`GenerateAdapterMetadataMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateAdapterMetadataMojo

public GenerateAdapterMetadataMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`